Initial Collection Without Customer-Defined View:
The 3 primary API endpoints serve distinct purposes in the data collection workflow, facilitating a structured and efficient process in obtaining tailored datasets.Requesting a Collection:
Endpoint:POST https://api.brightdata.com/datasets/request_collection
Parameters:
string
required
Dataset ID
string
required
discover_new OR url_collectionarray
Array - json
multipart
multipart - csv
Example
Checking Status of the Collection Above:
Endpoint:GET https://api.brightdata.com/datasets/request_collection
Parameters:
string
required
Obtain from the previous API.
string
required
Sets data freshness.If data is within this period (e.g., req ested 1 wee , collected 5 days ago), 0 new scrape occurs. If data is not fresh, we scrape it now.
- 1 week: 604,800,000 ms
- 1 month: 2,592,000,000 ms
Example
Initiating a Collection:
Endpoint:POST https://api.brightdata.com/datasets/initiate_collection
Parameters:
string
required
The unique identifier for the collection request you are inquiring about.
string
required
The time in milliseconds indicating the desired data freshness.
string
required
The time in milliseconds indicating the desired data freshness.
Example
Collection After Defining a View:
Initiating a Collection:
Endpoint:POST https://api.brightdata.com/datasets/initiate
Parameters:
string
required
string
required
string
required
discover_new OR url_collectionarray
Array - json
multipart
multipart - csv
Example